_Magno20_
Owner

165 posts
37 reputation

IGN: _Magno20_
By _Magno20_ » 12 months ago
Hello,

I have received this question multiple times!

Most big gaming servers don't keep updated to the latest version of Minecraft! Some are still running 1.8 and just allow connections from higher versions.

Right now both realms are running 1.10.2 version and support 1.11 + connections to that realm. We will update very soon once all/most of the plugins we use are supported!! This allows us to have an almost bug free. 

The reason for this is so our players don't have a bad experience with issued on the server!


Thank you for being patient! 





Kind Regards,

_Magno20_